package entities;

import java.io.Serializable;
import javax.persistence.AttributeOverride;
import javax.persistence.AttributeOverrides;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;

@Entity
public class Vegetable implements Serializable {

    @AttributeOverrides({
        @AttributeOverride(name="name", column=@Column(name="vegetable_name")),
        @AttributeOverride(name="color", column=@Column(name="vegetable_color"))
    })
    @EmbeddedId
    private VegetablePK id;
            
    private double cost;
    
    public Vegetable() {
    }

    public int hashCode() {
        int hash = 0;
        hash += (this.getId() != null ? this.getId().hashCode() : 0);
        return hash;
    }

    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Vegetable)) {
            return false;
        }
        Vegetable other = (Vegetable)object;
        if (this.getId() != other.getId() && (this.getId() == null || !this.getId().equals(other.getId()))) return false;
        return true;
    }

    public String toString() {
        return "entities.overrideembeddedid.Vegetable[id=" + getId() + "]";
    }

    public VegetablePK getId() {
        return id;
    }

    public void setId(VegetablePK id) {
        this.id = id;
    }

    public double getCost() {
        return cost;
    }

    public void setCost(double cost) {
        this.cost = cost;
    }

}
