package entities;

import java.io.Serializable;
import javax.persistence.Embeddable;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

@Embeddable
public class VegetablePK implements Serializable {

    private String name;
    private String color;
    
    public VegetablePK() {
    }

    public VegetablePK(String name, String companyName) {
        setName(name);
        setColor(color);
    }

    public int hashCode() {
        int hash = 0;
        hash += (this.getName() != null ? this.getName().hashCode() : 0);
        hash += (this.getColor() != null ? this.getColor().hashCode() : 0);
        return hash;
    }

    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof VegetablePK)) {
            return false;
        }
        VegetablePK other = (VegetablePK)object;
        if (this.getName() != other.getName() && (this.getName() == null || !this.getName().equals(other.getName()))) return false;
        if (this.getColor() != other.getColor() && (this.getColor() == null || !this.getColor().equals(other.getColor()))) return false;
        return true;
    }

    public String toString() {
        return "entities.overrideembeddedid.VegetablePK[id=" + getName() + " - " + getColor() + "]";
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }


}
