package tests;

import entities.Vegetable;
import entities.VegetablePK;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class TestOverrideEmbeddedID {
    
    private String testID;
    private EntityManagerFactory emf;
    
    private static final String NAME = "Squash";
    private static final String COLOR = "Green";
    private static final double COST = 5.35;
    
    public TestOverrideEmbeddedID() {
    }
    
    public void test() {
        try {
            emf = Persistence.createEntityManagerFactory("embeddedid");
            persistEntity();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
    
    private void persistEntity() {
        Vegetable vegetable = new Vegetable();
        vegetable.setId(new VegetablePK(NAME, COLOR));
        vegetable.setCost(COST);
        
        EntityManager em = emf.createEntityManager();
        em.getTransaction().begin();
        em.persist(vegetable);
        em.getTransaction().commit();
        em.close();
    }
    
}
